	local timer = 0
	local screen = {
		width = love.graphics.getWidth(),
		height = love.graphics.getHeight(),
		update = function(self, new_width, new_height)
			self.width = new_width
			self.height = new_height
		end
	}
	local circle = {
		x = 50,
		y = 50,
		radius = 50,
		update = function(self, tm )
			self.x = screen.width/2 + ((screen.width/2-self.radius) * math.cos( tm ))
			self.y = screen.height/2 + ((screen.height/2-self.radius) * math.sin( tm ))
		end,
		draw = function(self)
			love.graphics.circle("fill",self.x,self.y,self.radius,_)
		end
	}
	local circle2 = {
		x = 100,
		y = 100,
		canvas = function( self )
			self.can = love.graphics.newCanvas( 100, 100 )
			love.graphics.setCanvas( self.can )
			love.graphics.setColor( 255, 0, 0 )
			circle:draw()
			love.graphics.setCanvas()
			end,
		update = function( self, tm )
			self.x = 200 * math.cos( tm ) + screen.width/2 - 50
			self.y = 200 * math.sin( tm ) + screen.height/2 - 50
			end,
		draw = function( self )
			love.graphics.draw( self.can, self.x, self.y )
			end
		}

function love.load()
	circle2:canvas()
	end

function love.update( dt )
	timer = timer + dt
	circle.update( circle, timer )
	circle2.update( circle2, timer )
	end

function love.draw()
	love.graphics.setColor( 255, 255, 255 )
	circle:draw()
	circle2:draw()
	love.graphics.print("FPS: "..love.timer.getFPS(),0,0)
	end

function love.keypressed( key )
	if key == "escape" then love.event.quit() end
	end

